﻿body {
    font-family: -apple-system, "Noto Sans", "Helvetica Neue", Helvetica, "Nimbus Sans L", Arial, "Liberation Sans", "PingFang SC", "Hiragino Sans GB", "Noto Sans CJK SC", "Source Han Sans SC", "Source Han Sans CN", "Microsoft YaHei", "Wenquanyi Micro Hei", "WenQuanYi Zen Hei", "ST Heiti", SimHei, "WenQuanYi Zen Hei Sharp", sans-serif;
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }

.loading {
    width: 100vw;
    height: 100vh;
    display: flex;
    flex-flow: column nowrap;
    justify-content: center;
    align-items: center;
}

.loading__title {
    text-align: center;
}

.loading__progress-ring {
    width: 30vw;
    height: 30vh;
}

.sending-box {
    display: flex;
    flex-flow: row nowrap;
    align-items: stretch;
}

.sending-box__input {
    flex-grow: 1;
    height: 100%;
    margin-right: 16px;
}

.sending-box__button {
    height: auto;
}

.message-box {
    display: flex;
    flex-flow: column wrap;
    margin-bottom: 16px;
}

    .message-box:last-of-type {
        margin-bottom: 0px;
    }

.message-box__time {
    box-sizing: border-box;
    align-self: center;
    padding: 4px;
    margin-bottom: 8px;
    border-radius: 1px;
    text-align: center;
    font-size: 12px;
    background-color: #dadada;
    color: #ffffff
}

.message-box__connection {
    box-sizing: border-box;
    align-self: center;
    padding: 4px;
    margin-bottom: 0px;
    border-radius: 1px;
    text-align: center;
    font-size: 12px;
    background-color: #dadada;
    color: #ffffff
}

.message-box__main {
    display: flex;
    flex-flow: row nowrap;
}

.message-box__main--owned {
    flex-flow: row-reverse nowrap;
}

.message-box__avatar {
    flex-shrink: 0;
    width: 44px;
    height: 44px;
    margin-right: 8px;
    margin-top: 1px;
}

.message-box__section {
    display: flex;
    flex-flow: column nowrap;
}

.message-box__nickname {
    margin-bottom: 4px;
    font-size: 12px;
    color: #a6a6a6;
}

.message-box__nickname--owned {
    align-self: flex-end;
}

.message-box__content {
    box-sizing: border-box;
    padding: 8px;
    border-radius: 4px;
    word-break: break-word;
    font-size: 14px;
    background-color: #ffffff;
}

.message-box__content--owned {
    background-color: #83F256;
}

.chatroom {
    box-sizing: border-box;
    height: 100vh;
    padding: 16px;
    display: flex;
    flex-flow: column nowrap;
}

.chatroom__messages-box {
    position: relative;
    flex-grow: 1;
    margin-bottom: 16px;
    padding: 8px;
    background-color: #f5f5f5;
    overflow-y: auto;
}

.chatroom__online-users {
    position: fixed;
    z-index: 1;
    top: 45%;
    left: 50%;
    transform: translate(-50%, -50%);
    font-size: 50px;
    color: #d3d3d3;
}

.chatroom__message-box {
    position: inherit;
    z-index: 2;
}
